/* Copyright 2024 The ChromiumOS Authors
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

#ifndef __CROS_EC_INTC_H
#define __CROS_EC_INTC_H

/* INTC */
#define SCP_INTC_IRQ_POL0 0xffffffff
#define SCP_INTC_IRQ_POL1 0xffffffff
#define SCP_INTC_IRQ_POL2 0xffffffff
#define SCP_INTC_IRQ_POL3 0xffffffff
#define SCP_INTC_GRP_LEN 4
#define SCP_INTC_IRQ_COUNT 123

/* IRQ numbers */
#define SCP_IRQ_GIPC_IN0 0
#define SCP_IRQ_GIPC_IN1 1
#define SCP_IRQ_GIPC_IN2 2
#define SCP_IRQ_GIPC_IN3 3
/* 4 */
#define SCP_IRQ_SPM 4
#define SCP_IRQ_AP_CIRQ 5
#define SCP_IRQ_EINT 6
#define SCP_IRQ_PMIC 7
/* 8 */
#define SCP_IRQ_UART0_TX 8
#define SCP_IRQ_UART1_TX 9
#define SCP_IRQ_I3C0 10
#define SCP_IRQ_I2C0 11
/* 12 */
#define SCP_IRQ_BUS_DBG_TRACKER 12
#define SCP_IRQ_CLK_CTRL 13
#define SCP_IRQ_VOW 14
#define SCP_IRQ_TIMER0 15
/* 16 */
#define SCP_IRQ_TIMER1 16
#define SCP_IRQ_TIMER2 17
#define SCP_IRQ_TIMER3 18
#define SCP_IRQ_TIMER4 19
/* 20 */
#define SCP_IRQ_TIMER5 20
#define SCP_IRQ_OS_TIMER 21
#define SCP_IRQ_UART0_RX 22
#define SCP_IRQ_UART1_RX 23
/* 24 */
#define SCP_IRQ_GDMA 24
#define SCP_IRQ_AUDIO 25
#define SCP_IRQ_VDEC_INT_LINE_CNT 26
#define SCP_IRQ_ADSP 27
/* 28 */
#define SCP_IRQ_CPU_TICK 28
#define SCP_IRQ_SPI0 29
#define SCP_IRQ_SPI1 30
#define SCP_IRQ_SPI2 31
/* 32 */
#define SCP_IRQ_NEW_INFRA_SYS_CIRQ 32
#define SCP_IRQ_DBG 33
#define SCP_IRQ_GCE 34
#define SCP_IRQ_MDP_GCE 35
/* 36 */
#define SCP_IRQ_VDEC 36
#define SCP_IRQ_WDT 37
#define SCP_IRQ_VDEC_LAT 38
#define SCP_IRQ_GCE_SECURE 39
/* 40 */
#define SCP_IRQ_GCE1_SECURE 40
#define SCP_IRQ_INFRA 41
#define SCP_IRQ_CLK_CTRL_CORE 42
#define SCP_IRQ_CLK_CTRL2_CORE 43
/* 44 */
#define SCP_IRQ_CLK_CTRL2 44
#define SCP_IRQ_GIPC_IN4 45 /* HALT */
#define SCP_IRQ_PERIBUS_TIMEOUT 46
#define SCP_IRQ_INFRABUS_TIMEOUT 47
/* 48 */
#define SCP_IRQ_MET0 48
#define SCP_IRQ_MET1 49
#define SCP_IRQ_MET2 50
#define SCP_IRQ_MET3 51
/* 52 */
#define SCP_IRQ_AP_WDT 52
#define SCP_IRQ_L2TCM_SEC_VIO 53
#define SCP_IRQ_CPU_TICK1 54
#define SCP_IRQ_VOW_DATAIN 55
/* 56 */
#define SCP_IRQ_I3C0_IBI_WAKE 56
#define SCP_IRQ_I2C0_IBI_WAKE 57
#define SCP_IRQ_VENC 58
#define SCP_IRQ_APU_ENGINE 59
/* 60 */
#define SCP_IRQ_MBOX0 60
#define SCP_IRQ_MBOX1 61
#define SCP_IRQ_MBOX2 62
#define SCP_IRQ_MBOX3 63
/* 64 */
#define SCP_IRQ_MBOX4 64
#define SCP_IRQ_SYS_CLK_REQ 65
#define SCP_IRQ_BUS_REQ 66
#define SCP_IRQ_APSRC_REQ 67
/* 68 */
#define SCP_IRQ_APU_MBOX 68
#define SCP_IRQ_DEVAPC_SECURE_VIO 69
#define SCP_IRQ_CAMSYS_29 70
#define SCP_IRQ_CAMSYS_28 71
/* 72 */
#define SCP_IRQ_CAMSYS_5 72
#define SCP_IRQ_CAMSYS_4 73
#define SCP_IRQ_CAMSYS_3 74
#define SCP_IRQ_CAMSYS_2 75
/* 76 */
#define SCP_IRQ_SMI_LARB7 76
#define SCP_IRQ_WPE_VPP0 77
#define SCP_IRQ_DP_TX 78
#define SCP_IRQ_EDP_TX 79
/* 80 */
#define SCP_IRQ_VPP0_0 80
#define SCP_IRQ_VPP0_12 81
#define SCP_IRQ_VPP0_14 82
#define SCP_IRQ_MSDC2 83
/* 84 */
#define SCP_IRQ_JPEGENC 84
#define SCP_IRQ_JPEGDEC 85
#define SCP_IRQ_HDMITX 86
#define SCP_IRQ_CEC 87
/* 88 */
#define SCP_IRQ_I2C_7 88
#define SCP_IRQ_I2C_8 89
#define SCP_IRQ_I2C_9 90
#define SCP_IRQ_I2C_10 91
/* 92 */
#define SCP_IRQ_I2C_11 92
#define SCP_IRQ_I2C_12 93
#define SCP_IRQ_I2C_13 94
#define SCP_IRQ_IOMMU_SLOW_BANK0 95
/* 96 */
#define SCP_IRQ_IOMMU_SLOW_BANK1 96
#define SCP_IRQ_IOMMU_SLOW_BANK2 97
#define SCP_IRQ_IOMMU_SLOW_BANK3 98
#define SCP_IRQ_IOMMU_SLOW_BANK4 99
/* 100 */
#define SCP_IRQ_VDO0_OVL0 100
#define SCP_IRQ_VDO0_WDMA0 101
#define SCP_IRQ_VDO0_RDMA0 102
#define SCP_IRQ_VDO0_DSI0 103
/* 104 */
#define SCP_IRQ_VDO0_DSC_CORE0 104
#define SCP_IRQ_VDO0_DSI1 105
#define SCP_IRQ_VDO0_DSC_CORE1 106
#define SCP_IRQ_VDO0_DPINTF0 107
/* 108 */
#define SCP_IRQ_VDO0_MUTEX 108
#define SCP_IRQ_MMSYS_MUTEX 109
#define SCP_IRQ_MMSYS_RDMA0 110
#define SCP_IRQ_MMSYS_RDMA1 111
/* 112 */
#define SCP_IRQ_MMSYS_RDMA4 112
#define SCP_IRQ_MMSYS_RDMA5 113
#define SCP_IRQ_MMSYS_MERGE4 114
#define SCP_IRQ_MMSYS_DPI0 115
/* 116 */
#define SCP_IRQ_MMSYS_DPI1 116
#define SCP_IRQ_MMSYS_DPINTF 117
#define SCP_IRQ_VPPSYS_RDMA2 118
#define SCP_IRQ_VPPSYS_RDMA3 119
/* 120 */
#define SCP_IRQ_VPPSYS_WROT2 120
#define SCP_IRQ_VPPSYS_WROT3 121
#define SCP_IRQ_VPPSYS_MUTEX 122

#endif /* __CROS_EC_INTC_H */
